Minecraft Vanilla Upgraded to 1.18

By request of the players, I’ve upgraded the current install on the Vanilla server to 1.18. We will continue with the current world spawn until 1.19, at which point, we will probably reset and start over.

Upgrade was fairly straightforward. I backed up the world files, and replaced the server.jar with the new version. I did have to upgrade Java to OpenJDK 17.0.1, as when I tried to launch the server on the 16.0.1 version, I got this error:

Error: LinkageError occurred while loading main class net.minecraft.bundler.Main
	java.lang.UnsupportedClassVersionError: net/minecraft/bundler/Main has been compiled by a more recent version of the Java Runtime (class file version 61.0), this version of the Java Runtime only recognizes class file versions up to 60.0

Otherwise, I’m pleased to see a number of fixes for issues that I had noticed in the past. The changelog notes a fix for MC-44055, which has been around since 2014.

Leave a Reply

Your email address will not be published.